Description

Supportanfrage

ich versuche momentan ein hochauflösendes Video mit ADTF aufzunehmen.

Ich habe dazu bereits bei Ihnen angefragt und Sie haben mich darüber informiert, dass ich einen eigenen Filter schreiben muss, bei

welchem ich Einstellungen wie Größe des Bildes und Qualität selbst definieren kann. Ich wurde auf das Beispiel Projekt

"common_directshowcapture"  der adtf-device-toolbox verwiesen.

Momentan habe ich das Problem, dass ich bereits dieses nicht zum kompilieren bekomme.

Den erste Fehler bekomme ich bereits bei der CMake anweisung, da ich die Directx Variable nicht habe.

Bei der Installation der DirectX SDK bekomme ich außerdem ganz am Ende einen Fehler(DirectX versucht etwas an meinem Visual

Studio zu ändern).

Wenn ich die DirectX Variable aus CMake herausnehme läuft CMake durch, dafür bekomme ich Probleme beim Kompilieren.

Nachdem ich sämtliche benötigten Include-Dateien aus anderen Verzeichnissen verlinke, sodass alle benötigten Dateien vorhanden

sind und auch sonst keinen Fehler mehr auftreten bekomm ich den Link Fehler: "LNK1104 cannot open file 'strmbase.lib' "

Ich würd sie bitte mir noch einmal grundlegend zu erklären was ich alles machen muss um den Beispiel-Filter zu kompilieren, da ich

bei diesem Schritt momentan hänge.

Lösung

Lösung siehe #4683

Related issues:

Is duplicate of Public Support - Support Request #4683: EBPRODUCTSUPPORT-1794... Closed

History

#1 - 2019-01-30 16:02 - hidden

- Related to Support Request #4683: EBPRODUCTSUPPORT-1794 Bugfix DirectShowDevice-Filter added

#2 - 2019-01-31 10:08 - hidden

- Project changed from Public Support to 20

- Status changed from New to Customer Feedback Required

- Topic set to DeviceTB::Common

- Customer set to VW

- Department set to IAV

- Affected Products ADTF 2.13.2, ADTF Device Toolbox 2.7.1 added

Hallo Anton,

sieh Dir hierzu bitte das vorhandene Ticket #4683 mit der Lösung an.

Dies ist genau dein Problemfall.
https://support.digitalwerk.net/issues/4683
https://support.digitalwerk.net/issues/4683


Bitte um kurze Rückmeldung, damit wir das Ticket schließen können.

Danke

#3 - 2019-02-01 13:00 - hidden

Hey,

das kompilieren hat jetzt funktioniert.

Das Ticket kann geschlossen werden

VG

Anton

#4 - 2019-02-04 16:50 - hidden

- Project changed from 20 to Public Support

- Subject changed from Inbetriebnahme "Common_directshowcapture" to How to compile Direct Show Capture Device

- Description updated

- Private changed from Yes to No

- Resolution set to Duplicate Issue

#5 - 2019-02-05 08:50 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 7 64bit added

#6 - 2019-02-05 09:34 - hidden

- Related to deleted (Support Request #4683: EBPRODUCTSUPPORT-1794 Bugfix DirectShowDevice-Filter)

#7 - 2019-02-05 09:35 - hidden

- Is duplicate of Support Request #4683: EBPRODUCTSUPPORT-1794 Bugfix DirectShowDevice-Filter added

#8 - 2019-03-08 14:02 - hidden

- Status changed from To Be Closed to Closed
